Make Special:UserRights available to everyone
Closed, ResolvedPublic

Description

When a user is part of a group that doesn't have rights to change groups, instead of refusing access to the page, we should give a version that shows details such as the groups they are in and the log of changes.

Details

Reference
bz25319
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz25319.
bzimport added a subscriber: Unknown Object (MLST).

There's an ongoing debate about whether to show disabled forms to users or not. For example, ?action=protect has historically shown a disabled form to users (mostly as the protection information was previously not exposed very well in the user interface), but ?action=delete always raises an error for unprivileged users. Special pages with forms are similar to this.

  • Bug 57606 has been marked as a duplicate of this bug. ***

(In reply to comment #1)

There's an ongoing debate about whether to show disabled forms to users or
not.
For example, ?action=protect has historically shown a disabled form to users
(mostly as the protection information was previously not exposed very well in
the user interface), but ?action=delete always raises an error for
unprivileged
users. Special pages with forms are similar to this.

Link to debate, please?

(In reply to comment #3)

Link to debate, please?

Bug 18677 comment 8 and surrounding comments.

Change 107009 had a related patch set uploaded by Jackmcbarn:
Allow all users to view Special:UserRights

https://gerrit.wikimedia.org/r/107009

I'm still a little confused about the reason behind this change. You can see what groups a user is in anyway just by going to Special:ListUsers. What purpose does it serve letting users see a disabled user rights form?

I tend to find it a nice and faster ui to access

(Also gives change log in the one screen as well)

Change 107009 had a related patch set uploaded (by Jackmcbarn):
Allow all users to view Special:UserRights

https://gerrit.wikimedia.org/r/107009

Patch-For-Review

In terms of normal user expectations, if I wanted to see information about a user's user groups, I would visit that user's profile. If we're not matching that expectation in MediaWiki, we're probably failing.

Where is Special:UserRights shown to a normal user in the MediaWiki user interface? Is it sufficiently discoverable? I'm still leaning toward the idea that we need a Special:UserInfo or Special:AccountInfo or similar. While I can sympathize with the idea of exposing disabled forms to users, it kind of indicates poor design, in my opinion. (I felt similarly about ?action=protect.) Perhaps I need to adjust my thinking, but this is how I feel currently.

If anything, Special:CentralAuth is probably a good starting point, to be honest. Special:CentralAuth just needs to be changed so that it hooks into a (to be developed) core feature of MediaWiki like Special:UserInfo or whatever. The CentralAuth extension should just supplement an existing core feature with additional information, but first we need the core feature...

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptAug 10 2016, 6:40 PM
Dereckson raised the priority of this task from Low to Normal.Aug 22 2016, 10:32 PM

I'm raising the priority a little bit as:

  • we've a patch available
  • the two recent duplicates show it's a wanted feature
Huji added a comment.Aug 23 2016, 12:39 AM

What is the status of the patch? On gerrit it says "cannot merge". I guess it needs to be rebased as it is very old. If so, I am happy to do that and make a new patch.

@Huji: Rebasing (and further code changes, see latest comments) are needed. Contributions welcome. :)

Change 310181 had a related patch set uploaded (by Huji):
Allow all users to view Special:UserRights

https://gerrit.wikimedia.org/r/310181

Huji added a comment.Sep 13 2016, 12:39 AM

@Aklapper rebasing proved to be very difficult, so I basically recreated the version 5 of that patch into a new patch (/r/310181). Let me know if this is acceptable. If so, I will work on the comments from that other patch.

Huji added a comment.Oct 3 2016, 7:30 PM

Okay I tried a rebase, I hopefully have done everything correctly (this is the first major rebase I have ever done).

https://gerrit.wikimedia.org/r/#/c/107009/ should be the way to go. I am going to abandon the other change.

Change 310181 abandoned by Huji:
Allow all users to view Special:UserRights

Reason:
Abandoning in favor of a rebase of https://gerrit.wikimedia.org/r/#/c/107009/

https://gerrit.wikimedia.org/r/310181

Florian closed this task as Resolved.Nov 25 2016, 6:55 PM
Florian assigned this task to Jackmcbarn.
Florian edited projects, added User-notice; removed Patch-For-Review.
Florian updated the task description. (Show Details)

Change 107009 merged by jenkins-bot:
Allow all users to view Special:UserRights

https://gerrit.wikimedia.org/r/107009

Krenair added a subscriber: Krenair.EditedDec 5 2016, 6:09 PM

probably worth noticing this applies to GlobalGroupMembership in the CentralAuth extension too, right?

Potential followup regression (?) in T152600 - could someone take a look please? Thanks!